  function [c1,r1]=CO2_rate(t)
%
% Function CO2_rate returns the constants c1, r1 in the CO2 
% source term
%

%
% for the case of the simualtion to be run - ncase.
%
  ncase=6;
%
%Set up end year to simulate the reduction period from the years 2010 to 
% t_end.
%
  t_end=2100;
%
% c1 sets the CO2 ppm at 2007.  Constant, should not be altered
%
  c1=4.4e-03;
%
% Base CO2 rate. Also used to "pin" the carbon dioxide concentration at 
% the reference year at 2007.
%
  r1b=0.01;
  r1c=0;
  r1=r1b;
%
%The equation of the CO2 dispersionrate into the lower atmosphere is 
%  written here again for convineance. Not meant for operational use.
%
%  CO2_rate = c1*exp(r1*(t-1850));
%
    %kyoto protocal
    if(ncase==1)    r1c=-0.0520; t_end=2020;    end
    % decrease 30% emission in 50 years
    if(ncase==2)    r1c=-0.3000; t_end=2050;    end
    % decrease 50% emission in 50 years
    if(ncase==3)    r1c=-0.8000; t_end=2050;    end
    % base run, no changes
    if(ncase==4)    r1c= 0.0000;                end
    % decrease 20% emission by 2030
    if(ncase==5)    r1c=-0.2000; t_end=2030;    end
    % decrease 40% emission by 2030
    if(ncase==6)    r1c=-0.4000; t_end=2030;    end
    % decrease 80% emission by 2050
    if(ncase==7)    r1c=-0.8000; t_end=2050;    end
    
    
%
% Change the base rate for t > 2010
  if(t>2010 && t<=t_end)
    %Linear interpolation of the carbon emission rate in time  between 2010 and 2100
    r1=r1b+(r1c*r1b)*(t-2010)/(t_end-2010);
  end
%
%After year end, the carbon dioxide concentrtaion will remain at the 
%reduced level indefinitly.
%
  if (t>t_end)
    r1=r1b+r1b*r1c;
  end  
