  function yt=carbon(t,y)
%
% Function model_1 computes the temporal derivatives of the seven
% dependent variables
%
% Parameters shared with other routines
  global ncall
%
% Model dependent variables
  cla=y(1);
  cua=y(2);
  csb=y(3);
  clb=y(4);
  cul=y(5);
  cdl=y(6);
  cmb=y(7);
%
% ODEs
  [c1,r1]=CO2_rate(t);
  
  dcla=     1/5*(cua-cla)+...
            1/1*(csb-cla)+...
          1/100*(clb-cla)+...
           1/30*(cul-cla)+...
          c1*exp(r1*(t-1850));
  dcua=     1/5*(cla-cua);
  dcsb=     1/1*(cla-csb);
  dclb=   1/100*(cla-clb);
  dcul=    1/30*(cla-cul)+...
          1/100*(cdl-cul)+...
           1/10*(cmb-cul);
  dcdl=  1/1000*(cul-cdl); 
  dcmb=    1/10*(cul-cmb);
%
% Derivative vector
  yt(1)=dcla;
  yt(2)=dcua;
  yt(3)=dcsb;
  yt(4)=dclb;
  yt(5)=dcul;
  yt(6)=dcdl;
  yt(7)=dcmb;
  yt=yt';
%
% Increment calls to model_1
  ncall=ncall+1;

  
