function ym = methane(t, y)

%Generate the atmospheric ppm of methane
%   methane is released into the atmosphere by some 
%   rate as seen in the previous researches. This 
%   model will provide a rate of relase into the lower
%   atmosphere and disperse into the upper atm and 
%   the ocean.

%The rate is given as the ppb emission per decade,
%becasue the program work with decdal increments.
%This rate is solved for to give the ppb level of 
%2007 as a base point.

    c_m1 = 8.0e-3;
    rate=0.012;

% Model dependent variables
  m_la=y(1);
  m_ml=y(2);
  m_do=y(3);

%ODE's
%Three reservors : Lower Atm, Mixing layer, Deep Ocean
%Only the ch4 in lower atm will contribute, the other two 
%reservoirs are essentially storage. So only three reservoirs

dm_la=  1/30*(m_ml-m_la)+...
        c_m1*exp(rate*(t-1850));
dm_ml=  1/1000*(m_la - m_ml);
dm_do=  1/1000*(m_ml - m_do);

% Derivative vector
ym(1)=dm_la;
ym(2)=dm_ml;
ym(3)=dm_do;
ym = ym';